Skip to main content
POST
/
v1
/
job
/
keywordSearch
Keyword Search Job
curl --request POST \
  --url https://discover.veritus.ai/api/v1/job/keywordSearch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keywords": [
    "<string>"
  ]
}
'
{
  "jobId": "<string>"
}
Create an asynchronous search job using keywords. This job type requires 3-10 keywords.

Parameters

limit
number
default:"100"
Maximum number of results. Must be 100, 200, or 300. Default: 100
fieldsOfStudy
string
Comma-separated list of fields of study. Valid values: Computer Science, Medicine, Chemistry, Biology, Materials Science, Physics, Geology, Psychology, Art, History, Geography, Sociology, Business, Political Science, Economics, Philosophy, Mathematics, Engineering, Environmental Science, Agricultural and Food Sciences, Education, Law, Linguistics
minCitationCount
number
Minimum number of citations. Must be a positive integer.
openAccessPdf
boolean
Filter for open access PDFs. Must be true or false.
downloadable
boolean
Filter for downloadable papers. Must be true or false.
quartileRanking
string
Filter by quartile ranking(s). Can be a single value or comma-separated list. Valid values: Q1, Q2, Q3, Q4. Example: Q1 or Q1,Q2,Q3
publicationTypes
string
Comma-separated list of publication types. Valid values: journal, book series, conference
sort
string
Sort order. Format: field:direction. Valid fields: score, citationCount, influentialCitationCount, quartileRanking, referenceCount, year
year
string
Filter by year. Format: YYYY (single year) or YYYY:YYYY (year range). Example: 2020 or 2020:2023
keywords
string[]
required
Array of 3-10 keywords (string[])
callbackUrl
string
Optional HTTPS URL for job completion callback
scraperKey
string
Optional Firecrawl API key. If provided, Private Key credits are used, enrichment is always enabled, and the key must be valid with at least 50 remaining Firecrawl credits.
enrich
boolean
default:"false"
Whether to enrich results. If scraperKey is provided, enrichment is always enabled and Private Key credits are used.

Response

Returns a job ID that can be used to check the job status.
jobId
string
The unique identifier for the created job. Use this ID to check the job status via GET /v1/job/{jobId}

Credits

Credits are deducted immediately: 1 credit per 100 results requested. Uses Private Key credits when scraperKey is provided, otherwise Pro credits if enrich=true, and Basic credits if enrich=false.